# dav_svn.conf - Example Subversion/Apache configuration
#
# For details and further options see the Apache user manual and
# the Subversion book.
#
# NOTE: for a setup with multiple vhosts, you will want to do this
# configuration in /etc/apache2/sites-available/*, not here.

# <Location URL> ... </Location>
# URL controls how the repository appears to the outside world.
# In this example clients access the repository as http://hostname/svn/
# Note, a literal /svn should NOT exist in your document root.
<Location /svn>

  DAV svn

  # Set this to the path to your repository
  #SVNPath /var/lib/svn/repos/secureci
  # Alternatively, use SVNParentPath if you have multiple repositories under
  # under a single directory (/var/lib/svn/repo1, /var/lib/svn/repo2, ...).
  # You need either SVNPath and SVNParentPath, but not both.
  SVNParentPath <%= node['subversion']['repo_dir'] %>
  SVNListParentPath <%= node['subversion']['list_parent_path'] %>
  SVNAdvertiseV2Protocol Off

  # Basic Authentication is repository-wide.  It is not secure unless
  # you are using https.  See the 'htpasswd' command to create and
  # manage the password file - and the documentation for the
  # 'auth_basic' and 'authn_file' modules, which you will need for this
  # (enable them with 'a2enmod').
  AuthType <%= node['subversion']['auth_type'] %>
  AuthName "<%= node['subversion']['auth_name'] %>"
  AuthUserFile <%= node['subversion']['auth_user_file'] %>

  # To enable authorization via mod_authz_svn
  <IfModule mod_authz_svn.c>
	AuthzSVNAccessFile <%= node['subversion']['auth_access_file'] %>
  </IfModule>
  
  Require valid-user

</Location>
